import {
    block,
    Config,
    DataQueryFunction,
    DataQueryMethod,
    filter,
} from 'ptnl-constructor-sdk/config';
import { ColumnType } from 'ptnl-constructor-sdk/data';
import { EBlockKey } from './enum';

export const config: Config = {
    label: {
        ru: 'Индикатор с формулами',
        en: 'indicator with formulas',
    },
    icon: 'assets/icon.svg',

    dataSettings: {
        method: DataQueryMethod.Aggregate,

        blocks: [
            block({
                key: EBlockKey.IndicatorA,
                dataQueryFunction: DataQueryFunction.Sum,
                label: {
                    ru: 'Показатель A',
                    en: 'Indicator A',
                },
                columnTypes: [ColumnType.Number],
                max: 1,
            }),
            block({
                key: EBlockKey.IndicatorB,
                dataQueryFunction: DataQueryFunction.Sum,
                label: {
                    ru: 'Показатель B',
                    en: 'Indicator B',
                },
                columnTypes: [ColumnType.Number],
                max: 1,
            }),
            block({
                key: EBlockKey.IndicatorA1,
                dataQueryFunction: DataQueryFunction.Sum,
                label: {
                    ru: 'Показатель A1',
                    en: 'Indicator A1',
                },
                columnTypes: [ColumnType.Number],
                max: 1,
            }),
            block({
                key: EBlockKey.IndicatorB1,
                dataQueryFunction: DataQueryFunction.Sum,
                label: {
                    ru: 'Показатель B1',
                    en: 'Indicator B1',
                },
                columnTypes: [ColumnType.Number],
                max: 1,
            }),
            filter(),
        ],
        validation: {
            requiredEvery: [EBlockKey.IndicatorA],
        },
    },
};
